> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kryptonfund.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Strategy Vault Info



## OpenAPI

````yaml /api-reference/krypton_hedgefund.json get /api/v1/strategy/{strategy_name}/vault-info
openapi: 3.1.0
info:
  title: Krypton Hedge Fund API
  description: API for Krypton Hedge Fund strategies and management.
  version: 1.0.0
servers:
  - url: https://kryptonhedgefund-production.up.railway.app/
    description: Production API
  - url: http://127.0.0.1:8005
    description: Local API
security: []
tags:
  - name: strategy
    description: Strategy endpoints for MAVC, MAVP, and YEARN vaults.
  - name: hedge-fund
    description: Hedge fund management endpoints.
  - name: webhook
    description: Webhook endpoints for trading signals.
paths:
  /api/v1/strategy/{strategy_name}/vault-info:
    get:
      tags:
        - strategy
      summary: Get Strategy Vault Info
      operationId: get_strategy_vault_info_api_v1_strategy__strategy_name__vault_info_get
      parameters:
        - name: strategy_name
          in: path
          required: true
          schema:
            type: string
            description: Strategy name
            title: Strategy Name
          description: Strategy name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````